## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelConsole Struct Reference

Interface for the CEL console. More...

`#include <tools/celconsole.h>`

List of all members.

## Public Member Functions

virtual iConsoleInput * | GetInputConsole ()=0
| Get the input console that is being used.
virtual iConsoleOutput * | GetOutputConsole ()=0
| Get the ouput console that is being used.
virtual void | RegisterCommand (iCelConsoleCommand *command)=0
| Register a command.

## Detailed Description

Interface for the CEL console.

Definition at line 65 of file celconsole.h.

## Member Function Documentation

virtual iConsoleInput* iCelConsole::GetInputConsole | ( |  | ) | `[pure virtual]`

Get the input console that is being used.

virtual iConsoleOutput* iCelConsole::GetOutputConsole | ( |  | ) | `[pure virtual]`

Get the ouput console that is being used.

virtual void iCelConsole::RegisterCommand | ( | iCelConsoleCommand * | command | ) | `[pure virtual]`

Register a command.

The documentation for this struct was generated from the following file:

- tools/celconsole.h